%define app_root /usr/bin

Name:		aeolus-audrey_startup
Version:	0.3.1
Release:	3%{?dist}%{?extra_release}

Summary:	The Aeolus Audrey Startup Script
BuildArch:	noarch

Group:		Applications/System
License:	GPLv2+ and MIT and BSD
URL:		http://aeolusproject.org
Source0:	aeolus-audrey_startup-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:   facter python-httplib2 python-oauth2

%description
The Aeolus Audrey Startup script runs on a instances in a cloud at boot and
contacts an Aeolus Config Server to retrieve post-boot configuration data.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p %{buildroot}%{app_root}

# copy over the startup script
%{__cp} audrey_startup.py %{buildroot}%{app_root}/audrey

chmod a+x %{buildroot}%{app_root}
echo %{buildroot}%{app_root}
echo $RPM_BUILD_ROOT
echo "pwd: $(pwd)"
pwd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(744,root,root,-)
%{app_root}/audrey

%changelog
* Thu Oct 20 2011 Dan Radez <dradez@redhat.com> 0.3.1-3
- adding requires for rpm installations
* Tue Oct 11 2011 Joe VLcek <joev@redhat.com> 0.3.1-2
- RHEVm user data injection base64 encoded.
* Fri Sep 30 2011 Joe VLcek <joev@redhat.com> 0.3.1-1
- RHEVm user data injection.
* Wed May 18 2011 Joe VLcek <joev@redhat.com> 0.0.1-1
- Initial build.
